VERSION 5.00
Begin VB.Form frmLaunch 
   Caption         =   "Dialog Test"
   ClientHeight    =   1920
   ClientLeft      =   6300
   ClientTop       =   2805
   ClientWidth     =   2910
   Icon            =   "frmLaunch.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   1920
   ScaleWidth      =   2910
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   555
      Left            =   1500
      TabIndex        =   5
      Top             =   1260
      Width           =   1335
   End
   Begin VB.CommandButton cmdShowColor 
      Caption         =   "Show Color Dialog"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   555
      Left            =   90
      TabIndex        =   4
      Top             =   1260
      Width           =   1335
   End
   Begin VB.CommandButton cmdShowSave 
      Caption         =   "Show Save Dialog"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   555
      Left            =   1500
      TabIndex        =   3
      Top             =   660
      Width           =   1335
   End
   Begin VB.CommandButton cmdShowFont 
      Caption         =   "Show Font Dialog"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   555
      Left            =   90
      TabIndex        =   2
      Top             =   660
      Width           =   1335
   End
   Begin VB.CommandButton cmdShowNormalOpen 
      Caption         =   "Show Normal Open Dialog"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   555
      Left            =   1500
      TabIndex        =   1
      Top             =   60
      Width           =   1335
   End
   Begin VB.CommandButton cmdShowHookedOpen 
      Caption         =   "Show Hooked Open Dialog"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   555
      Left            =   90
      TabIndex        =   0
      Top             =   60
      Width           =   1335
   End
End
Attribute VB_Name = "frmLaunch"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'this is the form the calls the dialog boxes.

Private Sub cmdShowNormalOpen_Click()
   'dimension the class and set it, this way uses early binding
   Dim ComDialog As cNewDialog
   Set ComDialog = New cNewDialog
   'set the properties of the dialog box that we want
   With ComDialog
      'use these which are the defaults
      '.InitDir = App.Path
      '.Filter = "All Files|*.*"
      'set the handle to this window signifying this is the owner.
      .hwnd = Me.hwnd
      'show the open dialog
      .ShowOpen
      'check to see if they opened a file.  If FileName is blank, no file was selected.
      'you can also set CancelError to true like the VB open dialog, and it will generate
      'an error if the user cancels the dialog.  Personally I prefer no errors.
       If .FileName <> "" Then
         MsgBox "You opened " & .FileName, vbOKOnly, "File Was Opened"
      Else
         MsgBox "You didn't open a file"
      End If
   End With
   'clear object, although VB will do this for you, it is good programming practice to release all objects
   'when finished with them.
   Set ComDialog = Nothing
End Sub

Private Sub cmdShowHookedOpen_Click()
   'The process for this is the same as a normal dialog except 1) we use the common dialog
   'class that is on the form we created, which allows us to receive the events from it.  We COULD
   'do it all from this form, but it makes more sense to do it from the other form since that is the form
   'that has the listbox that the dialog is going to use.  2) It sets the Hook property of the dialog to
   'true, which tells the class to process the events.  If Hook is false, the class will not create any
   'events, so you can't tell what the user is doing in the common dialog.
   
   'load the dialog form
   Load frmDlg
   'set the dialog of the form to a new dialog
   Set frmDlg.FileDialog = New cNewDialog
   'set the properties of the dialog
   With frmDlg.FileDialog
      .InitDir = App.Path
      .Filter = "WinAmp Playlists|*.M3U"
      .FilterIndex = 1
      .FileFlags = OFN_FILEMUSTEXIST Or OFN_PATHMUSTEXIST Or OFN_HIDEREADONLY
      .DefaultExt = "M3U"
      'here's where we tell it to hook.
      .Hook = True
      .hwnd = Me.hwnd
      .ShowOpen
      If .FileName <> "" Then
         MsgBox "You opened " & .FileName, vbOKOnly, "File Was Opened"
      Else
         MsgBox "You didn't open a file"
      End If
   End With
   Unload frmDlg
   Set frmDlg = Nothing
End Sub

Private Sub cmdShowFont_Click()
   'dimension the class and set it, this way uses early binding
   Dim ComDialog As cNewDialog
   Set ComDialog = New cNewDialog
   'set the properties of the dialog box that we want
   With ComDialog
      .hwnd = Me.hwnd
      .FontFlags = CF_ANSIONLY Or CF_SCREENFONTS
      'set the initial font to the font of this form
      .Font = Me.Font
      .ShowFont
      MsgBox "You chose font " & .FontName & " size " & .FontSize
      'apply the font to the form
      Me.Font = .Font
      'next time called it will use the selected font as the default because that is now the font
   End With
End Sub

Private Sub cmdShowSave_Click()
   'very similar to the normal open.
    'dimension the class and set it, this way uses early binding
   Dim ComDialog As cNewDialog
   Set ComDialog = New cNewDialog
   'set the properties of the dialog box that we want
   With ComDialog
      'just an example
      .Filter = "TextFiles|*.TXT, Visual Basic Module|*.BAS"
      .FilterIndex = 1
      .FileFlags = OFN_HIDEREADONLY Or OFN_OVERWRITEPROMPT
      .hwnd = Me.hwnd
      'show the open dialog
      .ShowSave
      'check to see if they opened a file.  If FileName is blank, no file was selected.
      'you can also set CancelError to true like the VB open dialog, and it will generate
      'an error if the user cancels the dialog.  Personally I prefer no errors.
       If .FileName <> "" Then
         MsgBox "You chose to save to file: " & .FileName, vbOKOnly, "File Was Chosen"
      Else
         MsgBox "You didn't open a file"
      End If
   End With
   'clear object, although VB will do this for you, it is good programming practice to release all objects
   'when finished with them.
   Set ComDialog = Nothing
End Sub

Private Sub cmdShowColor_Click()
   'the color dialog box
   Dim ComDialog As cNewDialog
   Set ComDialog = New cNewDialog
   Dim RetColor As Long
   'set the properties of the dialog box that we want
   With ComDialog
      .ColorFlags = CC_ANYCOLOR
      .hwnd = Me.hwnd
      .ShowColor
      RetColor = .Color
      If RetColor > -1 Then
         MsgBox "You chose color #" & RetColor
      Else
         MsgBox "You didn't pick a color"
      End If
   End With
End Sub

Private Sub cmdExit_Click()
   Unload Me
End Sub
